Bug 197359 - Anaconda can't find repomd.xml
Summary: Anaconda can't find repomd.xml
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-30 14:39 UTC by Marc Eberhard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 17:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda logfile (14.15 KB, text/plain)
2006-06-30 14:39 UTC, Marc Eberhard
no flags Details

Description Marc Eberhard 2006-06-30 14:39:24 UTC
Description of problem:

I created my own ISO filesystem on an external USB harddisk. The ISO filesystem
was created with

mkisofs -v -r -T -J -l -R -o /media/usbdisk/install/FC5-i386.iso
/data/install/FC5/i386

The structure of the filesystem is
du /data/install/FC5/i386/
11316   /data/install/FC5/i386/repodata
97056   /data/install/FC5/i386/Fedora/base
6367168 /data/install/FC5/i386/Fedora/RPMS
11316   /data/install/FC5/i386/Fedora/repodata
6475548 /data/install/FC5/i386/Fedora
6486872 /data/install/FC5/i386/

So there is a repodata subdirectory both in the root of the CD and under
Fedora. Both contain repomd.xml, but anaconda fails with

14:21:18 INFO    : anaconda                                          [1/1]
14:21:19 ERROR   : Cannot open/read repomd.xml file for repository: anaconda
14:21:19 ERROR   : failure: repodata/repomd.xml from anaconda: [Errno 256] No
more mirrors to try.
14:21:19 ERROR   : reading package metadata: failure: repodata/repomd.xml from
anaconda: [Errno 256] No more mirrors to try.

Version-Release number of selected component (if applicable)

Plain vanilla Fedora Core 5 disc 1 booted with command line
linux ks=hd:sda1/install/config/ks-athene.cfg

which contains

harddrive --partition=sda1 --dir=/install/

How reproducible:

Create an ISO image as above on a HD and try to install FC5 from it.

Steps to Reproduce:
1. create ISO image on HD
2. boot FC5 disc 1 and choose installation from HD
  
Actual results:

Fails to find repomd.xml.

Expected results:

Should find the file and continue installation.

Additional info:

None.

Comment 1 Marc Eberhard 2006-06-30 14:39:24 UTC
Created attachment 131814 [details]
Anaconda logfile

Comment 2 Paul Nasrat 2006-07-06 17:56:51 UTC
Can you test with FC6t1 we did some work around HD installs for that which I
think will fix your issue.

Comment 3 Paul Nasrat 2006-07-17 17:00:06 UTC
Fixed in rawhide and will be in fc6t2


Note You need to log in before you can comment on or make changes to this bug.